Skip to Content
avatar image
Former Member

Installing BO 4.1 and BO XI R2 on same server

Hello all,

Couple of years ago we upgraded from BO 5.1 to BO 4.1( SP3), now the old universes needs to be migrated/converted to 4.1. As we all know we can't migrate directly so are planning to use BO XIR2 SP5 to migrate the old universes.I really appreciate if you could give me some information on the below questions.

1) Can i install both BO XIR2 and BO4.1 on the same server?

2) Can I install BO XIR2 in my PC?

3) Do we need to install BOXIR2 first and then apply the SP?

Thanks,

Aravind

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

5 Answers

  • Feb 28, 2017 at 08:27 PM

    It would be easier and faster to re-create those universes in Bi4.1, than making XIR2 work and the migrate them there and from there to 4.1.

    Add comment
    10|10000 characters needed characters exceeded

    • time to evaluate if those universes are really required then. maybe you can create smaller/better universes in 4.1

      XIR2 is out of support, making it run on current OS'ses is hard.
      Migration from 5.x to XIR2 might not be easy as well.
      And then you'll need to do this in again to move it to 4.1.

  • Feb 28, 2017 at 01:43 PM

    ) Can i install both BO XIR2 and BO4.1 on the same server?

    yes, But avoid doing it in PROD. BO4.1 resource intensive. So make sure you have enough memory and CPU.

    2) Can I install BO XIR2 in my PC?

    Why do you want to install XIR2 on your PC? It should be on server.

    3) Do we need to install BOXIR2 first and then apply the SP?

    What SP?
    Add comment
    10|10000 characters needed characters exceeded

    • Unlike the 4.x versions of BO, BO XI has no check to make sure that you're installing on a server OS, so you can install it on a workstation. I used to do this to have a local system when I was working on SDK code and I didn't want to have to VPN to the office - now I just install on a VM of a server OS on my laptop.

      It's been a long time since I worked with XI, but I believe that if you are upgrading from the base version you should only have to install SP5, which will contain the SP3 code as well.

      -Dell

  • Feb 28, 2017 at 11:30 PM

    Aravind,

    I would strongly suggest BOE XI 3.1 w/SP6 and BI 4.2 w/SP3+Patch04. This way get the most stable versions of the product. See below migration options from Classic BOBJ

    Regards,

    Ajay

    Add comment
    10|10000 characters needed characters exceeded

  • Mar 01, 2017 at 04:40 PM

    XIr2 can be installed on a Windows workstation.

    If you're only migrating universes, then you don't need an intermediate installation. Just use UDT from BI4.1, open the old universes, pick a connection, and export to the CMS. You will probably need to first open the universes with Designer (from the 5.x installation) and do a "Save for all users".

    If you have reports, then I would agree with Ajay -- migrate to XI3 first, then on to Bi4.1.

    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Mar 07, 2017 at 09:22 PM

    Joe/Ajay,

    I have installed BO XIR2 in same machine as BO 5.1.8 has, now when I try to use the import wizard I was able to connect to 5.1 repository but for XIR2 its asking for a CMS Name. Do I need a created a new CMS database for this task.

    Thanks in advance

    Aravind

    iw.png

    Add comment
    10|10000 characters needed characters exceeded

    • This is the summarized process:

      1. Install XIr2 server and client software
      2. Create new XIr2 server node (at this point it's a fully-functional environment)
      3. Use Import Wizard from XIr2 client install to migrate content from 5.1 environment into the temporary XIr2 CMS.
      4. On BI4 server machine, use UMT to migrate the content from the XIr2 environment to BI4
      5. Shut down the XIr2 environment